## DayTime Server
BEGIN {
    val inet = ARGV[1]
    var seq = 0
    while(1) {
        var text = ++seq " " strftime()
        # クライアントの接続を待機.(Wait for client connection)
        if (0 > print text |& inet) break
        print "++", text
        system("sleep 1")
    }
    close(inet)
}